---
updatedAt: 2025-05-14T21:09:35.000Z
agentTools:
  projectIndex: https://developers.lumos.com/llms.txt
---

# 🚀 Quick Start

Launch your first Lumos integration in minutes—authenticate, create, and manage accounts

**Get Up and Running in Minutes with Lumos API**

The Quick Start guide helps you create your first integration with Lumos. By the end of this tutorial, you’ll learn:

* 🔑 Authenticate with the Lumos API.
* 📦 Create a sample application.
* 👤 Create account in the sample application.
* 👥 List accounts in the sample application.

#### Prerequisites:

* Lumos API Key (available in your dashboard).
* Postman or a similar API client.
* Basic knowledge of REST APIs.

<Embed url="https://strong-raindrop-501895.netlify.app/" title="iframe" provider="strong-raindrop-501895.netlify.app" href="https://strong-raindrop-501895.netlify.app/" typeOfEmbed="iframe" height="1px" width="1%" iframe="true" />

Get started by trying out one of our [recipes](https://developers.lumos.com/recipes)!

```text Lumos API Hostname
https://api.lumos.com
```

# Authentication

Lumos authenticates API requests using API keys. You will need to pass in a header to all requests to the Lumos API like this one.

```shell Example cURL command
curl 'https://api.lumos.com/appstore/apps' \
	--header 'Authorization: Bearer lsk_example_1234'
```

API Tokens inherit & retain the permissions of the user that created them.

### Creating an API Token

1. Go to the [API Tokens page](https://app.lumosidentity.com/settings/api_tokens) in the Lumos settings.
2. Click on "Add API Token"
3. Input a Name and a Description
4. Click "Create API Token."

Store your API token carefully! We take security seriously so we can only show you the API Token at creation time. All Lumos API Tokens are prefixed with `lsk_`.

***

## 1. Creating a Sample Application

```c cURL
curl -X POST "https://api.lumos.com/apps" \
     -H "Authorization: Bearer YOUR_API_TOKEN" \
     -H "Content-Type: application/json" \
     -d '{
           "name": "Custom HR Portal",
           "category": "HR_AND_LEARNING",
           "description": "Internal HR management portal"
         }'
```

## 2. Creating Sample Account with Permissions

```curl
curl -X POST "https://api.lumos.com/accounts/upload" \
     -H "Authorization: Bearer YOUR_API_TOKEN" \
     -H "Content-Type: application/json" \
     -d '{
           "app_id": "YOUR_APP_ID",
           "accounts": [
             {
               "unique_identifier": "john.doe",
               "email": "john.doe@example.com",
               "first_name": "John",
               "last_name": "Doe",
               "status": "ACTIVE",
               "permissions": [
                 {
                   "unique_identifier": "Role_1",
                   "type": "Standard",
                   "name": "Viewer"
                 }
               ]
             }
           ]
         }'
```

## 3. Listing Created Account

```bash cURL
curl -X GET "https://api.lumos.com/accounts?app_id=YOUR_APP_ID" \
     -H "Authorization: Bearer YOUR_API_TOKEN"
```

***

# Testing the API

You can further test the API by using:

* **Developer Portal:** [developers.lumos.com ](https://developers.lumos.com/reference/listapps-1)
* **Postman:** [Postman Collection](https://documenter.getpostman.com/view/118311/2sAYQggTiR).